GCLOUD_DEBUG_SNAPSHOTS_WAIT(1)

NAME

gcloud debug snapshots wait - wait for debug snapshots to complete

SYNOPSIS

gcloud debug snapshots wait [ID ...] [--all] [--all-users] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [--timeout=TIMEOUT; default="unlimited"] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command waits for one or more snapshots on a Cloud Debugger debug target to become completed. A snapshot is considered completed either if there was an error setting the snapshot or if the snapshot was hit on an instance of the debug target.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more snapshot resource identifiers. The command will wait for any of the specified snapshots to complete.

FLAGS

    --all
        If set, wait for all of the specified snapshots to complete, instead of waiting for any one of them to complete.

    --all-users
        If set, wait for matching snapshots from all users, rather than only the current user.

    --location=LOCATION-REGEXP
        A regular expression to match against snapshot locations. The command will wait for any snapshots matching these criteria to complete. You may specify --location multiple times. EXAMPLE:
        gcloud debug snapshots wait \
          --location foo.py:[1-3] --location bar.py:3

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

    --timeout=TIMEOUT; default="unlimited"
        Maximum number of seconds to wait for a snapshot to complete. By default, wait indefinitely.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.